Bug 501833 - Windows 7 & F11 Preview
Windows 7 & F11 Preview
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: parted (Show other bugs)
11
i386 Linux
low Severity high
: ---
: ---
Assigned To: Joel Andres Granados
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-20 18:20 EDT by Luke Sheldrick
Modified: 2015-07-06 07:07 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:37:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fdisk -l (629 bytes, text/plain)
2009-05-20 18:20 EDT, Luke Sheldrick
no flags Details
dmidecode (9.24 KB, text/plain)
2009-05-20 18:20 EDT, Luke Sheldrick
no flags Details
gparted error (452 bytes, text/plain)
2009-05-20 18:21 EDT, Luke Sheldrick
no flags Details
lspci (1.58 KB, text/plain)
2009-05-20 18:21 EDT, Luke Sheldrick
no flags Details
lsusb (586 bytes, text/plain)
2009-05-20 18:22 EDT, Luke Sheldrick
no flags Details
installer showing false hdd table (29.69 KB, image/png)
2009-05-20 18:22 EDT, Luke Sheldrick
no flags Details
gparted showing invalid hdd table too (46.80 KB, image/png)
2009-05-20 18:23 EDT, Luke Sheldrick
no flags Details
mbr (1.00 KB, application/octet-stream)
2009-05-21 18:20 EDT, Luke Sheldrick
no flags Details

  None (edit)
Description Luke Sheldrick 2009-05-20 18:20:36 EDT
Created attachment 344888 [details]
Fdisk -l 

Description of problem:
I have Windows 7 RC1 (7100) installed on my Advent 4213, using all the standard install options. 

When using either the LiveCD (on CD or USB) or the DVD release of F11 Preview, the installer doesn't see the hdd partitions, instead reports them as unformatted/free space. 

Running gparted presents the following;
======================
libparted : 1.8.8
======================
/dev/sda contains GPT signatures, indicating that it has a GPT table.  However, it does not have a valid fake msdos partition table, as it should.  Perhaps it was corrupted -- possibly by a program that doesn't understand GPT partition tables.  Or perhaps you deleted the GPT table, and are now using an msdos partition table.  Is this a GPT partition table?

When Windows 7 was installed, the hdd was wiped, so I feel this is more an issue with the installer?

Fdisk sees the table, but still warns about GPT.

fdisk -l /dev/sda

WARNING: GPT (GUID Partition Table) detected on '/dev/sda'! The util fdisk doesn't support GPT. Use GNU Parted.


Disk /dev/sda: 250.0 GB, 250059350016 bytes
255 heads, 63 sectors/track, 30401 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes
Disk identifier: 0x9debba37

   Device Boot      Start         End      Blocks   Id  System
/dev/sda1   *           1          13      102400    7  HPFS/NTFS
Partition 1 does not end on cylinder boundary.
/dev/sda2              13        6375    51097600    7  HPFS/NTFS
/dev/sda3            6375       19123   102400000    7  HPFS/NTFS




Version-Release number of selected component (if applicable):
Windows 7 (7100)
Fedora 11 Preview

How reproducible:
Install Windows 7, then try to install F11 to the same hdd. 
  
Actual results:


Expected results:
Anaconda should see the partition table correctly to enable to install to the valid free space / partitions. 

Additional info:
Comment 1 Luke Sheldrick 2009-05-20 18:20:59 EDT
Created attachment 344889 [details]
dmidecode
Comment 2 Luke Sheldrick 2009-05-20 18:21:36 EDT
Created attachment 344890 [details]
gparted error
Comment 3 Luke Sheldrick 2009-05-20 18:21:53 EDT
Created attachment 344891 [details]
lspci
Comment 4 Luke Sheldrick 2009-05-20 18:22:11 EDT
Created attachment 344892 [details]
lsusb
Comment 5 Luke Sheldrick 2009-05-20 18:22:37 EDT
Created attachment 344894 [details]
installer showing false hdd table
Comment 6 Luke Sheldrick 2009-05-20 18:23:10 EDT
Created attachment 344895 [details]
gparted showing invalid hdd table too
Comment 7 Joel Andres Granados 2009-05-21 04:33:03 EDT
Why does the partition table have the GPT signature when it is using msdos partition table?

Luke:
Can you pls post the first 1024 byets of the device where the partition table is.
Comment 8 Luke Sheldrick 2009-05-21 18:20:43 EDT
Created attachment 345031 [details]
mbr

Syntax used; 

[root@localhost ~]# dd if=/dev/sda of=~/mbr.bin bs=512 count=2
2+0 records in
2+0 records out
1024 bytes (1.0 kB) copied, 0.000882305 s, 1.2 MB/s

File attached. 

Hope this is ok
Comment 9 Bug Zapper 2009-06-09 12:12:43 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Joel Andres Granados 2009-06-12 09:23:00 EDT
Luke:

Thx for the attachement.  I'll get to it as soon as I can.  In the mean time, try to make parted correct the mistake in your partition table.  I think that windows has managed to create an msdos partition and put a gpt id.  So when libparted goes and looks at the partition table, it gets confused.  Can you pls do a `parted /dev/DEVICE` and answer "no" if your partition is not a GPT partition table and "yes" if it is.  This will, hopefully cause parted to correct the error.
Comment 11 Luke Sheldrick 2009-06-18 16:41:47 EDT
Hi,

I'm not sure why you mean by do a parted?

This will just put me at a prompt for commands, was there one you wanted mr to try and run? 

Thanks 
Luke
Comment 12 Joel Andres Granados 2009-06-30 04:41:47 EDT
Well, if you see the prompt then parted is handling the error correctly.  Additionally, libparted is giving a warning where it gets confused, which is the correct thing to do and the app that is using libparted should handle the warning.
As the original comment mentioned gparted, I am re0-assigning to that component
Comment 13 Luke Sheldrick 2009-07-12 18:53:31 EDT
Anyone able to look into this? just seems to be going around the houses.

Joel, you had said to do 

"do a `parted /dev/DEVICE` and answer "no" if your partition is not a GPT
partition table and "yes" if it is.  This will, hopefully cause parted to
correct the error. "

But this doesn't prompt for either. 

Could you confirm at all?
Comment 14 Joel Andres Granados 2009-07-14 07:18:25 EDT
Luke:
I just updated parted in rawhide and there is a patch that maintains the Protective MBR in GPT type partitions.  This should correct your problems.  Can you pleas test with the latest parted parted-1.9.0-2.20090610git32dc.

Thx.
Comment 15 Luke Sheldrick 2009-07-19 17:46:23 EDT
Hi Joel,

Thanks for the update, I've just tried this, I have the livecd on a usb stick with an overlay, so updated parted (and it's deps) and rebooted back into it, maintaining the updates. 

However still the same issue is present

[root@localhost ~]# parted /dev/sda
GNU Parted 1.9.0
Using /dev/sda
Welcome to GNU Parted! Type 'help' to view a list of commands.
(parted) print                                                            
Warning: /dev/sda contains GPT signatures, indicating that it has a GPT table.
However, it does not have a valid fake msdos partition table, as it should.
Perhaps it was corrupted -- possibly by a program that doesn't understand GPT
partition tables.  Or perhaps you deleted the GPT table, and are now using an
msdos partition table.  Is this a GPT partition table?
Yes/No? yes                                                               
Model: ATA WDC WD2500BEVS-1 (scsi)
Disk /dev/sda: 250GB
Sector size (logical/physical): 512B/512B
Partition Table: gpt

Number  Start  End  Size  File system  Name  Flags

(parted) print                                                            
Warning: /dev/sda contains GPT signatures, indicating that it has a GPT table.
However, it does not have a valid fake msdos partition table, as it should.
Perhaps it was corrupted -- possibly by a program that doesn't understand GPT
partition tables.  Or perhaps you deleted the GPT table, and are now using an
msdos partition table.  Is this a GPT partition table?
Yes/No? no                                                                
(parted) 

                                                             
[root@localhost ~]# rpm -qa | grep parted
parted-1.9.0-2.20090610git32dc.fc12.i586
pyparted-2.1.0-1.fc12.i586

Could you take another look? please feel free to get me to test anything for you, should you need me to. 

Thanks
Luke
Comment 16 Hans de Goede 2009-12-16 09:44:27 EST
Luke,

You do not actually have a GPT table, as windows 7 does not create GPT tables on disks it installs to on regular PC's. But there still is an old GPT table (which lives at the end of the disk) on your system.

So when asked "Is this a GPT partition table?" you should answer "No", this
should make parted see your partition table.

Note that this will get parted to work, but won't fix anaconda, as it will still stumble over the GPT table. How to handle this inside anaconda will require some more thought. But can you first please try answering no, to confirm that that fixes parted reading your table ?

Thanks,

Hans
Comment 17 Bug Zapper 2010-04-27 10:25:54 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 Bug Zapper 2010-06-28 08:37:52 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.